
#ifndef _OVERWORLD_H_
#define _OVERWORLD_H_

#include "editor.h"
#include "resource.h"

class Overworld : public Editor
{
public:
	Overworld() { }
	~Overworld() { }

	bool InitializeSurface(HWND hFrame);
	bool MonoSelection(int x, int y);
	bool MultiSelection(RECT position);
	unsigned GetMenuId() const { return IDR_OVERWORLD; }
	const char *GetMenuName() const { return "Overworld"; }
	void Release();
};

#endif /* _OVERWORLD_H_ */
