
#include <windows.h>
#include "window.h"

void Window::Initialize()
{
	SetWindowLong(_hwnd, GWL_USERDATA, (LONG) this);
}

LRESULT CALLBACK Window::WndCallbackProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam)
{
	Window *ref = (Window*) GetWindowLong(hwnd, GWL_USERDATA);
	if (ref != 0) {
		return ref->WndProc(msg, wParam, lParam);
	}
	else {
		return DefWindowProc(hwnd, msg, wParam, lParam);
	}
}
