
#ifndef _WINDOW_H_
#define _WINDOW_H_

class Window
{
public:
	Window() { }
	~Window() { }

	HWND GetHWND() const { return _hwnd; }
	virtual LRESULT WndProc(UINT msg, WPARAM wParam, LPARAM lParam) = 0;
	static LRESULT CALLBACK WndCallbackProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);

protected:
	void Initialize();

	HWND _hwnd;
};

#endif /* _WINDOW_H_ */
