
#ifndef _REGISTERS_H_
#define _REGISTERS_H_

#include "rom.h"

const FIRST_REGISTER = 0x2100;
const TOTAL_REGISTER = 0x0C;

class Registers
{
public:
	Registers() { }
	~Registers() { }
	unsigned	GetRegVal(unsigned reg);
	bool		Load(unsigned id);
	VRAMADDR	GetTileMapVAddr(unsigned bg);
	VRAMADDR	GetTileGfxVAddr(unsigned bg);

private:
	void SetRegVal(unsigned reg, unsigned val);
	unsigned char regs[TOTAL_REGISTER];
};

#endif /* _REGISTERS_H_ */
